import { ElementRef } from '@angular/core';
import { ScrollSpyItemModel } from './scroll-spy-item.model';
export declare class ScrollSpyItemComponent implements ScrollSpyItemModel {
    element: ElementRef;
    static readonly defaultProps: ScrollSpyItemModel;
    className: string;
    id: string;
    constructor(element: ElementRef);
    getElementOffseTop(): number;
}
